Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
取得包含該代幣的所有池子
cURL
curl --request GET \ --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/pools \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/pools" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/pools', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/pools", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/pools" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/pools") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/pools") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "data": [ { "chain": "sol", "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2", "tokenAAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v", "tokenBAddress": "So11111111111111111111111111111111111111112", "createdBlockTimestamp": "<string>", "creatorAddress": "<string>", "factoryAddress": "<string>", "feeRate": "<string>", "image": "<string>", "initialTvlInNative": "<string>", "initialTvlInUsd": "<string>", "liquidityModel": 1, "programAddress": "675kPX9MHTjS2zt1qfr1NYHuzeLXfQM9H24wFSUt1Mp8", "protocolFamily": "raydium", "protocolName": "<string>", "tickSpacing": 123, "tokenALiquidity": { "amountInNative": "5000.123", "amountInUsd": "1000000.45", "decimals": 6, "priceNative": "0.005", "priceUsd": "1.0001", "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v", "vaultAmount": "1000000000000", "initialAmountInNative": "<string>", "initialAmountInUsd": "<string>", "initialVaultAmount": "<string>", "vaultAddress": "<string>", "vaultOwnerAddress": "<string>" }, "tokenBLiquidity": { "amountInNative": "5000.123", "amountInUsd": "1000000.45", "decimals": 6, "priceNative": "0.005", "priceUsd": "1.0001", "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v", "vaultAmount": "1000000000000", "initialAmountInNative": "<string>", "initialAmountInUsd": "<string>", "initialVaultAmount": "<string>", "vaultAddress": "<string>", "vaultOwnerAddress": "<string>" }, "tokenCount": 123, "tvlInSol": "1000000.45", "tvlInUsd": "1000000.45", "type": 1, "version": 1 } ], "endCursor": "eyJpZCI6ImVuZCJ9", "hasNext": false, "hasPrev": false, "startCursor": "eyJpZCI6InN0YXJ0In0=", "total": 564094 }
token_get_pools
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
支援網路列表中的鏈名稱 Supported blockchain chains
sol
eth
bsc
代幣地址
分頁游標
每頁回傳結果數量
分頁方向(next 或 prev) Pagination direction
next
prev
排序欄位(tvlInSol 或 tvlInUsd) Pool sort field
tvlInSol
tvlInUsd
排序方向(asc 或 desc) Sort direction (case-insensitive: accepts "asc"/"ASC"/"Asc" etc.)
asc
desc
最小 TVL(SOL 計)
最大 TVL(SOL 計)
最小 TVL(USD 計)
最大 TVL(USD 計)
取得池子
Generic pagination response
Page data
Show child attributes
Cursor for the end of current page
"eyJpZCI6ImVuZCJ9"
Whether there is a next page
false
Whether there is a previous page
Cursor for the start of current page
"eyJpZCI6InN0YXJ0In0="
Total number of items matching the query (not just the current page). When None, the caller should treat it as unknown (backward-compatible).
None
564094
這個頁面有幫助嗎?